import 'package:example_db/data/blocs/scaffold/bloc.dart';
import 'package:flutter/material.dart';
import 'package:meta/meta.dart';
import 'package:unify_api/unify.dart';

@immutable
abstract class LeadsEvent {}

class LeadsCheck extends LeadsEvent {
  LeadsCheck({
    @required this.user,
    @required this.scaffold,
  });

  final ScaffoldBloc scaffold;
  final AccountInfo user;
}

class RefreshLeads extends LeadsEvent {
  RefreshLeads({
    @required this.user,
    @required this.scaffold,
    @required this.context,
  });

  final AccountInfo user;
  final ScaffoldBloc scaffold;
  final BuildContext context;
}
