import 'package:moor/moor.dart';

@DataClassName('Setting')
class SettingRecords extends Table {
  @override
  String get tableName => 'settings';

  @override
  Set<Column> get primaryKey => {type};

  TextColumn get userId => text()();

  TextColumn get type => text()();

  BoolColumn get value => boolean()();

  TextColumn get colorValue => text().nullable()();

  DateTimeColumn get lastUpdated => dateTime().nullable()();
}

enum SettingTypes {
  darkMode,
  autoLogin,
  contactColor,
  loanColor,
  leadColor,
  alertColor,
  videoColor
}
